> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Institutions

> Retrieve all available institutions and their details.

`/Institutions` allows retrieval of all available institutions and their details. This includes identifiers used by both Flinks Connect and Flinks API while handling connections.

Each institution can be identified by its `Id`, localized `Name` and `Url`, and it is segmented by `Country`.

The response is limited to a maximum of 1000 items, and the parameters `skip`, `take` and API response field `Count` must be used to control iterations.


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/Institutions
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/Institutions:
    get:
      tags:
        - Connect
      summary: Get Institutions
      description: Retrieve all available institutions and their details.
      operationId: getInstitutions
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
        - name: skip
          in: query
          schema:
            type: integer
            default: 0
          description: The number of records to skip.
        - name: take
          in: query
          schema:
            type: integer
            default: 10
          description: The number of records to return.
        - name: countries
          in: query
          schema:
            type: string
          description: Return institutions filtered by country.
        - name: routingNumbers
          in: query
          schema:
            type: string
          description: Return institutions filtered by routing numbers.
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  Data:
                    type: array
                    items:
                      type: object
                      properties:
                        Id:
                          type: integer
                          description: Unique identifier for the institution.
                        Localizations:
                          type: array
                          description: Localized information for the institution.
                          items:
                            type: object
                            properties:
                              Language:
                                type: string
                              Name:
                                type: string
                              Urls:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    Type:
                                      type: string
                                    Url:
                                      type: string
                        Status:
                          type: string
                          description: Status of the institution.
                        Country:
                          type: string
                          description: Country code.
                  Count:
                    type: integer
                    description: Total count of institutions matching the query.
              example:
                Data:
                  - Id: 1
                    Localizations:
                      - Language: fr
                        Name: BMO
                        Urls:
                          - Type: Main
                            Url: https://www.bmo.com/principal/particuliers
                      - Language: en
                        Name: BMO
                        Urls:
                          - Type: Main
                            Url: https://www.bmo.com/main/personal
                    Status: Enabled
                    Country: CA
                  - Id: 2
                    Localizations:
                      - Language: en
                        Name: Desjardins
                        Urls:
                          - Type: Main
                            Url: https://www.desjardins.com/ca/index.jsp
                      - Language: fr
                        Name: Desjardins
                        Urls:
                          - Type: Main
                            Url: https://www.desjardins.com/index.jsp
                    Status: Enabled
                    Country: CA
                Count: 249

````